Eclipse is running in a JRE, but a JDK is required

Wenn diese Fehlermeldung in Eclipse angezeigt wird, muss die Eclipse Konfiguration so angepasst werden, dass Eclipse mit der Laufzeitumgebung des JDK gestartet wird.

28. Juli 2017 Eclipse Java

Datenbankabfragen mit Spring aus dem Java Quellcode auslagern

Wer Spring JDBC verwendet, kennt das Problem: längere Datenbankabfragen können nur umständlich im Java Quellcode untergebracht werden. Meist werden solche Abfragen über einen StringBuilder, einen StringJoiner oder die seit Java 8 zur Verfügung stehende String join Methode zusammengesetzt. Man kann sich jedoch das Properties System von Spring zu nutze machen, um Datenbankabfragen aus dem Quellcode auszulagern.

Java Version in Maven festlegen

Ohne Anpassung verwendet Maven standardmäßig Java 1.5 zum Kompilieren eines Projektes. Diese Version wurde bereits 2005 veröffentlicht und ist somit inzwischen vollkommen veraltet. Deshalb sollte die zu verwendende Java Version in jedem Maven Projekt angegeben werden. Hierzu stehen zwei verschiedene Möglichkeiten zur Verfügung.

28. Juli 2017 Java Maven